Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal
Class ServiceBuilderMethodInvoker

    java.lang.Object
      org.apache.tapestry5.ioc.internal.AbstractServiceCreator
          org.apache.tapestry5.ioc.internal.ServiceBuilderMethodInvoker

All Implemented Interfaces:
  ObjectCreator

    public class ServiceBuilderMethodInvoker

extends AbstractServiceCreator

Basic implementation of `ObjectCreator` that handles invoking a method on the module builder, and figures out the correct parameters to pass into the annotated method.

Field Summary

Fields inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceCreator
`creatorDescription, logger, resources, serviceId`

Constructor Summary
`ServiceBuilderMethodInvoker(ServiceBuilderResources resources, java.lang.String creatorDescription, java.lang.reflect.Method method)`

Method Summary
`java.lang.Object` | `createObject()` Invoked from the proxy to create the actual service implementation.
`java.lang.String` | `toString()`

Methods inherited from class org.apache.tapestry5.ioc.internal.AbstractServiceCreator
`createInjectionResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceBuilderMethodInvoker

    public ServiceBuilderMethodInvoker(ServiceBuilderResources resources,
                                       java.lang.String creatorDescription,
                                       java.lang.reflect.Method method)

Method Detail

### createObject

    public java.lang.Object createObject()

  Invoked from the proxy to create the actual service implementation.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.